Subject: cygwin windows to linux cross compiler issues !!
From: "mohanlal jangir" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 3 Dec 2003 14:51:31 +0530

I could succeed to build cygwin windows to linux cross compiler. Binaries
seems to be almost ok as I am able to compile many applications perfectly.
While cross compiling linux kernel, I encountered one problem:

I used to get some errors from Assermber like "Error: junk `adcl $0xffff'
after register". For looking into this, I compiled those files
with -save-temp option and edited .s files. In .s files the section #APP
seems to have some problem. I found that all assembaly instruction are in
single line, which is casuing assember to give error.

#APP
   addl 16(%esp), %eax    adcl 12(%esp), %eax    adcl %edx, %eax    adcl $0,
%eax
#NO_APP

When I changed above code to
#APP
   addl 16(%esp), %eax
   adcl 12(%esp), %eax
   adcl %edx, %eax
   adcl $0, %eax
#NO_APP

I could compile the .s file into .o successfully. This seems to be dos/unix
file format issue, which has not been take care.
Is there some easy way to get around this problem or I have to rebuild tool
chain.

Regards
Mohanlal

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/